Package org.opensaml.soap.wstrust

# Interface Renewing

All Superinterfaces:
  `WSTrustObject`, `XMLObject`

All Known Implementing Classes:
  `RenewingImpl`

public interface Renewing extends WSTrustObject
The wst:Renewing element.

See Also:
  - "WS-Trust 1.3, Chapter 5 Renewal Binding."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALLOW_ATTRIB_NAME`
The wst:Renewing/@Allow attribute local name.
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`OK_ATTRIB_NAME`
The wst:Renewing/@OK attribute local name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isAllow()`
Returns the wst:Renewing/@Allow attribute value.
`XSBooleanValue`
`isAllowXSBoolean()`
Returns the wst:Renewing/@Allow attribute value.
`Boolean`
`isOK()`
Returns the wst:Renewing/@OK attribute value.
`XSBooleanValue`
`isOKXSBoolean()`
Returns the wst:Renewing/@OK attribute value.
`void`
`setAllow(Boolean allow)`
Sets the wst:Renewing/@Allow attribute value.
`void`
`setAllow(XSBooleanValue allow)`
Sets the wst:Renewing/@Allow attribute value.
`void`
`setOK(Boolean ok)`
Sets the wst:Renewing/@OK attribute value.
`void`
`setOK(XSBooleanValue ok)`
Sets the wst:Renewing/@OK attribute value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ALLOW_ATTRIB_NAME

@Nonnull @NotEmpty static final String ALLOW_ATTRIB_NAME
The wst:Renewing/@Allow attribute local name.

See Also:
  - Constant Field Values

### OK_ATTRIB_NAME

@Nonnull @NotEmpty static final String OK_ATTRIB_NAME
The wst:Renewing/@OK attribute local name.

See Also:
  - Constant Field Values

## Method Details

### isAllow

@Nullable Boolean isAllow()
Returns the wst:Renewing/@Allow attribute value.

Returns:
  the Allow attribute value

### isAllowXSBoolean

@Nullable XSBooleanValue isAllowXSBoolean()
Returns the wst:Renewing/@Allow attribute value.

Returns:
  the Allow attribute value

### setAllow

void setAllow(@Nullable Boolean allow)
Sets the wst:Renewing/@Allow attribute value.

Parameters:
  `allow` - the Allow attribute value.

### setAllow

void setAllow(@Nullable XSBooleanValue allow)
Sets the wst:Renewing/@Allow attribute value.

Parameters:
  `allow` - the Allow attribute value.

### isOK

@Nullable Boolean isOK()
Returns the wst:Renewing/@OK attribute value.

Returns:
  the OK attribute value

### isOKXSBoolean

@Nullable XSBooleanValue isOKXSBoolean()
Returns the wst:Renewing/@OK attribute value.

Returns:
  the OK attribute value

### setOK

void setOK(@Nullable Boolean ok)
Sets the wst:Renewing/@OK attribute value.

Parameters:
  `ok` - the OK attribute value.

### setOK

void setOK(@Nullable XSBooleanValue ok)
Sets the wst:Renewing/@OK attribute value.

Parameters:
  `ok` - the OK attribute value.